Last Comment Bug 243767 - Multiple Identities dialogue should have a Close instead of an OK button
: Multiple Identities dialogue should have a Close instead of an OK button
Status: VERIFIED FIXED
: polish
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- trivial with 1 vote (vote)
: Thunderbird 13.0
Assigned To: :aceman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 17:18 PDT by Constantine A. Murenin
Modified: 2012-02-23 08:02 PST (History)
9 users (show)
asa: blocking‑aviary1.0PR-
mscott: blocking‑aviary1.0-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch implementing comment 8 (7.11 KB, patch)
2012-02-11 15:51 PST, :aceman
iann_bugzilla: review+
standard8: review+
bwinton: ui‑review+
Details | Diff | Review

Description Constantine A. Murenin 2004-05-16 17:18:53 PDT
There is an OK button, but not a Cancel button in Manage Identities dialogue. 

In Account Settings, when you select Manage Identities, the newly appeared
Identities dialogue does not have a Cancel button. I think this flaw in UI
design, since other such dialogues in MailNews do have both OK and Cancel buttons. 

Neil suggested that one cannot undo changes to non-default identities from the
dialogue, so the solution might be to remove OK button and add a Close button
instead.
Comment 1 Scott MacGregor 2004-05-16 17:26:27 PDT
i'm not planning on supporting the cancel operation here.

a close button would be fine.

removing the bug dependency
Comment 2 neil@parkwaycc.co.uk 2004-05-17 01:39:52 PDT
Can I also point out that the close operation is flawed... if you OK the Manage
dialog then the changes to the default identity get propagated back to the
account manager but if you just close the window they do not.
Comment 3 Patrick 2004-09-11 14:33:21 PDT
(In reply to comment #0)
> one cannot undo changes to non-default identities

Even to default identities: I just had removed my main mail address from an
account (using Thunderbird, but I presume it's the same). The second identity
settings came in to replace the account's ones.

I am not changing the severity of this bug myself but I strongly suggest to do
it as we have a data loss in just one click on "Delete". Raising (?) the flags
for the same reason.
Comment 4 Asa Dotzler [:asa] 2004-09-12 09:38:37 PDT
Thunderbird 0.8 is wrapped up. This will have to be considered for 0.9.
Comment 5 Scott MacGregor 2004-09-24 12:58:53 PDT
minusing. not 1.0 stopper.
Comment 6 Robert Kaiser (not working on stability any more) 2009-06-14 17:55:01 PDT
MASS-CHANGE:
This bug report is registered in the SeaMonkey product, but has been without a comment since the inception of the SeaMonkey project. This means that it was logged against the old Mozilla suite and we cannot determine that it's still valid for the current SeaMonkey suite. Because of this, we are setting it to an UNCONFIRMED state.

If you can confirm that this report still applies to current SeaMonkey 2.x nightly builds, please set it back to the NEW state along with a comment on how you reproduced it on what Build ID, or if it's an enhancement request, why it's still worth implementing and in what way.
If you can confirm that the report doesn't apply to current SeaMonkey 2.x nightly builds, please set it to the appropriate RESOLVED state (WORKSFORME, INVALID, WONTFIX, or similar).
If no action happens within the next few months, we move this bug report to an EXPIRED state.

Query tag for this change: mass-UNCONFIRM-20090614
Comment 7 Ian Neal 2009-06-15 14:51:26 PDT
Moving to a better home.
Comment 8 Robert Kaiser (not working on stability any more) 2009-07-11 13:38:27 PDT
Comment #0 is invalid, OK and Cancel would be wrong there, as cancel would not undo all the changes one made in the dialog.

What we should do is follow comment #1 and comment #2 though, make the button be "Close" and make both ways of closing the window act consistently.
Comment 9 :aceman 2012-02-11 15:51:53 PST
Created attachment 596398 [details] [diff] [review]
patch implementing comment 8

This works for me. I also remove gMessengerBundle while there, it seems unused.
Comment 10 Blake Winton (:bwinton) (:☕️) 2012-02-13 18:25:57 PST
Comment on attachment 596398 [details] [diff] [review]
patch implementing comment 8

Makes sense.  ui-r=me!

(Wow, 8 years to fix this.  Crazy.  :)

Thanks,
Blake.
Comment 11 Mark Banner (:standard8) 2012-02-21 06:23:05 PST
Comment on attachment 596398 [details] [diff] [review]
patch implementing comment 8

Review of attachment 596398 [details] [diff] [review]:
-----------------------------------------------------------------

::: mailnews/base/prefs/content/am-identities-list.js
@@ -157,5 @@
>    window.arguments[0].result = true;
>    return true;
>  }
>  
> -function onCancel()

You could actually remove the window.arguments[0].result assignment and adjust what the caller is doing in am-main.js to not bother with the result, but just update the account settings anyway.

However, I'm fine for that to be a follow-up bug/patch.
Comment 12 :aceman 2012-02-21 06:29:18 PST
I do not yet understand this argument passing between dialogs so will better not touch that.
Comment 13 Mark Banner (:standard8) 2012-02-21 06:51:59 PST
Checked in: http://hg.mozilla.org/comm-central/rev/d7c6f47e41e1

Note You need to log in before you can comment on or make changes to this bug.